Name:           nightfall
Version:        1.82
Release:        %mkrel 5
Summary:        An astronomy application for emulating eclipsing stars

License:        GPLv2+
Group:          Sciences/Astronomy
URL:            http://www.hs.uni-hamburg.de/DE/Ins/Per/Wichmann/Nightfall.html
Source0:        http://www.la-samhna.de/%{name}/%{name}-%{version}.tar.gz
Source1:        nightfall.desktop

#need to get debug symbols
Patch0:         nightfall-1.82-optflags.patch
Patch1:         nightfall-1.82-makefile.patch 
#fix buffer overflow
Patch2:         nightfall-1.82-buffoverflow.patch

BuildRequires: pkgconfig(gdk-2.0)
BuildRequires: desktop-file-utils 
BuildRequires: pkgconfig(gtkgl-2.0)
#no longer supported
#BuildRequires: openmpi-devel
BuildRequires: libgomp-devel
BuildRequires: pkgconfig(libgnomeui-2.0)
BuildRequires: pkgconfig(glu)
BuildRequires: jpeg-devel
BuildRequires: glut-devel
BuildRequires: a2ps
BuildRequires: fortune-mod
BuildRequires: rarian

Requires:      gnuplot
Requires:      a2ps
Requires:      fortune-mod

%description
Nightfall is an astronomy application for fun, education, and science.
It can produce animated views of eclipsing binary stars,
calculate synthetic lightcurves and radial velocity curves,
and eventually determine the best-fit model for a given set of
observational data of an eclipsing binary star system.
It is, however, not able to fry your breakfast egg on your harddisk.

%prep
%setup -q
%autopatch -p1

%build
# Don't explicitly enable-gnome as adding --enable-gnome
# seems to disable gnome.  Rather make sure that gnomeui2-devel
# is in BuildRequires and have configure autodetect it.


%configure2_5x \
   --with-gnuplot \
   --enable-opengl \
   --enable-openmp \
   --disable-rpath \
   --with-locale-prefix=%{_datadir}/locale
%make

%install
%make_install

desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%find_lang %{name}

%files -f %{name}.lang
%doc UserManual.pdf UserManual.html README COPYING AUTHORS ChangeLog
%{_bindir}/nightfall
%{_datadir}/nightfall/
%{_datadir}/applications/nightfall.desktop
%{_datadir}/omf/nightfall
%{_mandir}/man1/nightfall.1*


%changelog
* Tue Feb 16 2016 umeabot <umeabot> 1.82-5.mga6
+ Revision: 961756
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 1.82-4.mga6
+ Revision: 895296
- fix empty lang files adding '--with-locale-prefix=' configure option

* Wed Oct 15 2014 umeabot <umeabot> 1.82-3.mga5
+ Revision: 743032
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.82-2.mga5
+ Revision: 682887
- Mageia 5 Mass Rebuild

* Fri Jul 04 2014 eatdirt <eatdirt> 1.82-1.mga5
+ Revision: 643033
- Fix patch file and missing BR
- Upgrade to version 1.82

* Sat Oct 19 2013 umeabot <umeabot> 1.70-2.mga4
+ Revision: 530554
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 joequant <joequant> 1.70-1.mga4
+ Revision: 445919
- fix mandir
- remove patch3 comment
- clean spec
- add build requires for i586
- imported package nightfall

